
Foreman - Bug #27480

hammer report-template list gives 404 if called with saved default organization or location

07/31/2019 12:18 PM - Adam Ruzicka

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1728441 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1728441

++ This bug was initially created as a clone of Bug #1368173 ++

Description of problem:

-- running "hammer report-template list" returns:

404 Resource Not Found

Reproducer:

hammer>  defaults add --param-value="1" --param-name="organization_id"

Added organization_id default-option with value 1.

hammer> defaults add --param-value="2" --param-name="location_id"

Added location_id default-option with value 2.

hammer> defaults list

----------------|------

PARAMETER       | VALUE

----------------|------

organization_id | 1

location_id     | 2

----------------|------

hammer> report-template list

404 Not Found

hammer> defaults delete  --param-name="organization_id"

organization_id was deleted successfully.

hammer> defaults delete  --param-name="location_id"

location_id was deleted successfully.

hammer> report-template list

----|------------------

ID  | NAME

----|------------------

433 | Applicable errata

434 | Host statuses CSV

436 | Registered hosts

435 | Subscriptions

----|------------------

Version-Release number of selected component (if applicable):   

satellite-6.5.0-11.el7sat.noarch
Additional info:

Customer also uses defaults.yml something like this:

1. cat defaults.yml

---

:defaults:

:organization:

:value: acme

:organization_id:

:value: '1'

Expected results:

The command should work with the default organization and location settings

History

#1 - 07/31/2019 12:26 PM - Adam Ruzicka

- Subject changed from hammer report-template list gives 404 if called with saved default organization or location

 to hammer report-template list gives 404 if called with saved default organization or location

- Category changed from Statistics to Reporting

#2 - 06/09/2020 11:01 AM - Shira Maximov

- Status changed from New to Duplicate

duplicate of: https://projects.theforeman.org/issues/28987
